## mysql-community 5.6.43

=== sql/CMakeLists.txt ===
# Copyright (c) 2006, 2018, Oracle and/or its affiliates. All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA


INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/include 
  ${CMAKE_SOURCE_DIR}/sql 
  ${CMAKE_SOURCE_DIR}/regex 
  ${SSL_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/sql
)

SET(CONF_SOURCES
  ${CMAKE_CURRENT_BINARY_DIR}/sql_builtin.cc
)
SET(GEN_SOURCES
  ${CMAKE_CURRENT_BINARY_DIR}/sql_yacc.h 
  ${CMAKE_CURRENT_BINARY_DIR}/sql_yacc.cc
  ${CMAKE_CURRENT_BINARY_DIR}/lex_hash.h 
)
SET(GEN_DIGEST_SOURCES
  ${CMAKE_CURRENT_BINARY_DIR}/lex_token.h 
)

SET_SOURCE_FILES_PROPERTIES(${GEN_SOURCES}
                            ${GEN_DIGEST_SOURCES}
                            ${CONF_SOURCES}
                            PROPERTIES GENERATED 1)

# Gen_lex_token
# Make sure sql_yacc.h is generated before compiling gen_lex_token
ADD_EXECUTABLE(gen_lex_token gen_lex_token.cc)
ADD_DEPENDENCIES(gen_lex_token GenServerSource)

ADD_CUSTOM_COMMAND(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lex_token.h
  COMMAND gen_lex_token > lex_token.h
  DEPENDS gen_lex_token
)

ADD_DEFINITIONS(-DMYSQL_SERVER -DHAVE_EVENT_SCHEDULER) 
IF(SSL_DEFINES)
 ADD_DEFINITIONS(${SSL_DEFINES})
ENDIF()

SET(SQL_SHARED_SOURCES
  abstract_query_plan.cc
  datadict.cc
  debug_sync.cc
  derror.cc
  des_key_file.cc
  discover.cc
  field.cc
  field_conv.cc 
  filesort.cc
  filesort_utils.cc
  gcalc_slicescan.cc
  gcalc_tools.cc
  gstream.cc
  handler.cc
  hostname.cc
  init.cc
  item.cc
  item_buff.cc
  item_cmpfunc.cc 
  item_create.cc
  item_func.cc
  item_geofunc.cc
  item_row.cc 
  item_strfunc.cc
  item_subselect.cc
  item_sum.cc
  item_timefunc.cc 
  item_xmlfunc.cc 
  item_inetfunc.cc
  key.cc
  keycaches.cc
  lock.cc
  log.cc
  mdl.cc
  mf_iocache.cc
  my_decimal.cc
  net_serv.cc
  opt_explain.cc
  opt_explain_traditional.cc
  opt_explain_json.cc
  opt_range.cc
  opt_sum.cc 
  opt_trace.cc
  opt_trace2server.cc
  parse_file.cc
  partition_info.cc
  password.c
  procedure.cc 
  protocol.cc
  records.cc
  rpl_handler.cc
  scheduler.cc 
  set_var.cc 
  signal_handler.cc
  sp.cc
  sp_cache.cc
  sp_head.cc
  sp_instr.cc
  sp_pcontext.cc 
  sp_rcontext.cc
  spatial.cc
  string_service.cc
  sql_acl.cc
  sql_admin.cc
  sql_alloc_error_handler.cc
  sql_alter.cc
  sql_analyse.cc
  sql_audit.cc
  sql_base.cc 
  sql_bootstrap.cc
  sql_cache.cc
  sql_class.cc
  sql_connect.cc
  sql_crypt.cc
  sql_cursor.cc
  sql_data_change.cc
  sql_db.cc
  sql_delete.cc
  sql_derived.cc
  sql_digest.cc
  sql_do.cc 
  sql_error.cc
  sql_executor.cc
  sql_get_diagnostics.cc
  sql_handler.cc
  sql_help.cc
  sql_insert.cc
  sql_join_buffer.cc
  sql_lex.cc 
  sql_list.cc
  sql_load.cc
  sql_locale.cc
  sql_manager.cc
  sql_optimizer.cc
  sql_parse.cc
  sql_partition.cc
  sql_partition_admin.cc
  sql_planner.cc
  sql_plugin.cc
  sql_prepare.cc
  sql_profile.cc
  sql_reload.cc
  sql_rename.cc
  sql_resolver.cc
  sql_rewrite.cc
  sql_select.cc
  sql_servers.cc
  sql_show.cc
  sql_signal.cc
  sql_state.c
  sql_string.cc 
  sql_table.cc
  sql_tablespace.cc
  sql_test.cc
  sql_time.cc
  sql_tmp_table.cc
  sql_trigger.cc
  sql_truncate.cc
  sql_udf.cc
  sql_union.cc
  sql_update.cc
  sql_view.cc
  strfunc.cc
  sys_vars.cc
  table.cc
  table_cache.cc
  thr_malloc.cc 
  transaction.cc
  tztime.cc
  uniques.cc
  unireg.cc
)

SET(SQL_EXPORTED_SOURCES ${SQL_SHARED_SOURCES} PARENT_SCOPE)

SET(SQL_SOURCE
  ${GEN_SOURCES}
  ${GEN_DIGEST_SOURCES}
  ${CONF_SOURCES}
  ${MYSYS_LIBWRAP_SOURCE}
  ${SQL_SHARED_SOURCES}
  ../libmysql/errmsg.c
  ../sql-common/client.c
  ../sql-common/client_plugin.c
  ../sql-common/my_path_permissions.cc
  ../sql-common/my_time.c
  ../sql-common/my_user.c 
  ../sql-common/pack.c
  ../sql-common/client_authentication.cc
  event_data_objects.cc
  event_db_repository.cc 
  event_parse_data.cc
  event_queue.cc
  event_scheduler.cc
  events.cc
  mysqld.cc
  sql_client.cc
  )

IF(WIN32)
  LIST(APPEND SQL_SOURCE named_pipe.cc)
ENDIF()

IF (WIN32 AND OPENSSL_APPLINK_C)
  SET_SOURCE_FILES_PROPERTIES(
    ../sql-common/client_authentication.cc
    PROPERTIES COMPILE_FLAGS "-DHAVE_OPENSSL_APPLINK_C"
  )
ENDIF()

MYSQL_ADD_PLUGIN(partition ha_partition.cc STORAGE_ENGINE DEFAULT STATIC_ONLY
RECOMPILE_FOR_EMBEDDED)

ADD_LIBRARY(sql STATIC ${SQL_SOURCE})
ADD_DEPENDENCIES(sql GenServerSource)
ADD_DEPENDENCIES(sql GenDigestServerSource)
DTRACE_INSTRUMENT(sql)
TARGET_LINK_LIBRARIES(sql ${MYSQLD_STATIC_PLUGIN_LIBS} 
  mysys mysys_ssl dbug strings vio regex   
  ${LIBWRAP} ${LIBCRYPT} ${LIBDL}
  ${SSL_LIBRARIES})

#
# On Windows platform we compile in the clinet-side Windows Native Authentication
# plugin which is used by the client connection code included in the server.
#
IF(WIN32)
  ADD_DEFINITIONS(-DAUTHENTICATION_WIN)
  TARGET_LINK_LIBRARIES(sql auth_win_client)
ENDIF()

SET (BINLOG_SOURCE uuid.cc rpl_gtid_misc.cc
                   rpl_gtid_sid_map.cc rpl_gtid_set.cc rpl_gtid_specification.cc
                   rpl_gtid_state.cc rpl_gtid_owned.cc rpl_gtid_cache.cc
                   rpl_gtid_execution.cc rpl_gtid_mutex_cond_array.cc
                   log_event.cc log_event_old.cc binlog.cc sql_binlog.cc
		   rpl_filter.cc rpl_record.cc rpl_record_old.cc rpl_utility.cc
		   rpl_injector.cc)
ADD_LIBRARY(binlog ${BINLOG_SOURCE})
SET (RPL_SOURCE rpl_handler.cc rpl_tblmap.cc)
ADD_DEPENDENCIES(binlog GenError)
ADD_LIBRARY(rpl ${RPL_SOURCE})
SET (MASTER_SOURCE rpl_master.cc)
ADD_DEPENDENCIES(rpl GenError)
ADD_LIBRARY(master ${MASTER_SOURCE})
ADD_DEPENDENCIES(master GenError)
SET (SLAVE_SOURCE rpl_slave.cc rpl_reporting.cc rpl_mi.cc rpl_rli.cc
		  rpl_info_handler.cc rpl_info_file.cc rpl_info_table.cc
		  rpl_info_values.cc rpl_info.cc rpl_info_factory.cc
		  rpl_info_table_access.cc dynamic_ids.cc rpl_rli_pdb.cc
		  rpl_info_dummy.cc)
ADD_LIBRARY(slave ${SLAVE_SOURCE})
ADD_DEPENDENCIES(slave GenError)
ADD_LIBRARY(sqlgunitlib
  filesort_utils.cc mdl.cc sql_list.cc sql_string.cc thr_malloc.cc
  )
ADD_DEPENDENCIES(sqlgunitlib GenError)


IF(WIN32)
  SET(MYSQLD_SOURCE main.cc nt_servc.cc nt_servc.h message.rc)
ELSE()
  SET(MYSQLD_SOURCE main.cc ${DTRACE_PROBES_ALL})
ENDIF()

MYSQL_ADD_EXECUTABLE(mysqld
  ${MYSQLD_SOURCE} DESTINATION ${INSTALL_SBINDIR} COMPONENT Server)

OPTION(DEBUG_EXTNAME "Build server as mysqld-debug (debug builds only)" OFF)
MARK_AS_ADVANCED(DEBUG_EXTNAME)

IF(DEBUG_EXTNAME)
  SET_TARGET_PROPERTIES(mysqld PROPERTIES DEBUG_OUTPUT_NAME "mysqld-debug")
ENDIF()

IF(APPLE) 
  # Add CoreServices framework since some dloadable plugins may need it 
  FIND_LIBRARY(CORESERVICES NAMES CoreServices) 
  IF(CORESERVICES) 
    TARGET_LINK_LIBRARIES(mysqld ${CORESERVICES}) 
  ENDIF() 
ENDIF() 

IF(NOT WITHOUT_DYNAMIC_PLUGINS)
  SET_TARGET_PROPERTIES(mysqld PROPERTIES ENABLE_EXPORTS TRUE)
  GET_TARGET_PROPERTY(mysqld_link_flags mysqld LINK_FLAGS)
  IF(NOT mysqld_link_flags)
    SET(mysqld_link_flags)
  ENDIF()
  IF (MINGW OR CYGWIN)
    SET_TARGET_PROPERTIES(mysqld PROPERTIES LINK_FLAGS "${mysqld_link_flags} -Wl,--export-all-symbols")
  ENDIF()
  IF(MSVC)
    # Set module definition file.
    # Also use non-incremental linker, incremental appears to crash from
    # time to time,if used with /DEF option
    SET_TARGET_PROPERTIES(mysqld PROPERTIES LINK_FLAGS
      "${mysqld_link_flags} /DEF:mysqld.def /INCREMENTAL:NO")

    FOREACH (CORELIB sql mysys mysys_ssl dbug strings)
      GET_TARGET_PROPERTY(LOC ${CORELIB} LOCATION)
      FILE(TO_NATIVE_PATH ${LOC} LOC)
      SET (LIB_LOCATIONS ${LIB_LOCATIONS} ${LOC}) 
    ENDFOREACH (CORELIB ${MYSQLD_CORE_LIBS})
    SET(_PLATFORM x86)
    IF(CMAKE_SIZEOF_VOID_P EQUAL 8)
      SET(_PLATFORM  x64)
    ENDIF()
    ADD_CUSTOM_COMMAND(TARGET mysqld PRE_LINK
      COMMAND echo ${_PLATFORM} && cscript ARGS //nologo ${PROJECT_SOURCE_DIR}/win/create_def_file.js
                  ${_PLATFORM}  ${LIB_LOCATIONS} > mysqld.def 
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    ADD_DEPENDENCIES(sql GenError)
  ENDIF()
ENDIF()

SET_TARGET_PROPERTIES(mysqld PROPERTIES ENABLE_EXPORTS TRUE) 
TARGET_LINK_LIBRARIES(mysqld sql binlog rpl master slave sql mysys mysys_ssl)

# Provide plugins with minimal set of libraries
SET(INTERFACE_LIBS ${LIBRT})
IF(INTERFACE_LIBS)
 SET_TARGET_PROPERTIES(mysqld PROPERTIES LINK_INTERFACE_LIBRARIES 
  "${INTERFACE_LIBS}")
ENDIF()

# On Solaris, some extra effort is required in order to get dtrace probes
# from static libraries
DTRACE_INSTRUMENT_STATIC_LIBS(mysqld 
 "sql;mysys;mysys_ssl;${MYSQLD_STATIC_PLUGIN_LIBS}")
 

SET(WITH_MYSQLD_LDFLAGS "" CACHE STRING "Additional linker flags for mysqld")
MARK_AS_ADVANCED(WITH_MYSQLD_LDFLAGS)
IF(WITH_MYSQLD_LDFLAGS)
  GET_TARGET_PROPERTY(mysqld LINK_FLAGS MYSQLD_LINK_FLAGS)
  IF(NOT MYSQLD_LINK_FLAGS)
    SET(MYSQLD_LINK_FLAGS) 
  ENDIF() 
  SET_TARGET_PROPERTIES(mysqld PROPERTIES LINK_FLAGS 
     "${MYSQLD_LINK_FLAGS} ${WITH_MYSQLD_LDFLAGS}")
ENDIF()

IF(DEBUG_EXTNAME)
  INSTALL_DEBUG_TARGET(mysqld 
    DESTINATION ${INSTALL_SBINDIR} 
    PDB_DESTINATION ${INSTALL_SBINDIR}
    SUFFIX "-debug")
ELSE()
  INSTALL_DEBUG_TARGET(mysqld 
    DESTINATION ${INSTALL_SBINDIR} 
    PDB_DESTINATION ${INSTALL_SBINDIR}/debug
    RENAME mysqld-debug)
ENDIF()

# Handle out-of-source build from source package with possibly broken 
# bison. Copy bison output to from source to build directory, if not already 
# there
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/bison.cmake)
COPY_BISON_OUTPUT(
  ${CMAKE_CURRENT_SOURCE_DIR}/sql_yacc.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/sql_yacc.h
  ${CMAKE_CURRENT_BINARY_DIR}/sql_yacc.cc
  ${CMAKE_CURRENT_BINARY_DIR}/sql_yacc.h
)

RUN_BISON(
  ${CMAKE_CURRENT_SOURCE_DIR}/sql_yacc.yy 
  ${CMAKE_CURRENT_BINARY_DIR}/sql_yacc.cc
  ${CMAKE_CURRENT_BINARY_DIR}/sql_yacc.h
)

SET_SOURCE_FILES_PROPERTIES(
  ${CMAKE_CURRENT_BINARY_DIR}/sql_yacc.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/sql_digest.cc
  PROPERTIES OBJECT_DEPENDS ${GEN_DIGEST_SOURCES}
)

# Gen_lex_hash
ADD_EXECUTABLE(gen_lex_hash gen_lex_hash.cc)

ADD_CUSTOM_COMMAND(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lex_hash.h
  COMMAND gen_lex_hash > lex_hash.h
  DEPENDS gen_lex_hash
)

MYSQL_ADD_EXECUTABLE(mysql_tzinfo_to_sql tztime.cc)
SET_TARGET_PROPERTIES(mysql_tzinfo_to_sql PROPERTIES COMPILE_FLAGS "-DTZINFO2SQL")
TARGET_LINK_LIBRARIES(mysql_tzinfo_to_sql mysys mysys_ssl)

ADD_CUSTOM_TARGET( 
        GenServerSource
        DEPENDS ${GEN_SOURCES}
)

ADD_CUSTOM_TARGET( 
        GenDigestServerSource
        DEPENDS ${GEN_DIGEST_SOURCES}
)


IF(WIN32 OR HAVE_DLOPEN AND NOT DISABLE_SHARED)
  ADD_LIBRARY(udf_example MODULE udf_example.cc)
  SET_TARGET_PROPERTIES(udf_example PROPERTIES PREFIX "")
  # udf_example depends on strings 
  IF(WIN32)
    IF(MSVC)
      SET_TARGET_PROPERTIES(udf_example
        PROPERTIES LINK_FLAGS "/DEF:${CMAKE_CURRENT_SOURCE_DIR}/udf_example.def")
    ENDIF()
    TARGET_LINK_LIBRARIES(udf_example strings)
  ELSE()
    # udf_example is using safemutex exported by mysqld
    TARGET_LINK_LIBRARIES(udf_example mysqld)
    SET_TARGET_PROPERTIES(udf_example
      PROPERTIES LINK_FLAGS "${CMAKE_SHARED_LIBRARY_C_FLAGS}")
  ENDIF()
ENDIF()

FOREACH(tool glibtoolize libtoolize aclocal autoconf autoheader automake gtar 
 tar git)
 STRING(TOUPPER ${tool}  TOOL)
 FIND_PROGRAM(${TOOL}_EXECUTABLE ${tool} DOC "path to the executable")
 MARK_AS_ADVANCED(${TOOL}_EXECUTABLE)
ENDFOREACH()

CONFIGURE_FILE(
  ${CMAKE_SOURCE_DIR}/cmake/make_dist.cmake.in
  ${CMAKE_BINARY_DIR}/make_dist.cmake @ONLY)

## mysql-community 5.6.19

=== debian/changelog ===
mysql-community (5.6.19-1debian7) wheezy; urgency=low

  * new upstream release
  * d/rules updated to rid of files removed from source
  * modified path for source tar in source pkg
  * obscured actual filenames in d/source/include-binaries
  * modified d/rules to handle obscured filenames

 -- Akhil Mohan <akhil.mohan@oracle.com>  Mon, 05 May 2014 15:45:10 +0530

mysql-community (5.6.17-1debian7) stable; urgency=low

  * new upstream release

 -- Akhil Mohan <akhil.mohan@oracle.com>  Fri, 28 Feb 2014 18:06:30 +0530

=== debian/control ===
Source: mysql-community
Maintainer: MySQL Release Engineering <mysql-build@oss.oracle.com>
Section: database
Priority: optional
Standards-Version: 3.9.3
Homepage: http://www.mysql.com/
Build-Depends: debhelper (>= 8.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake

Package: mysql-server
Architecture: any
Depends: mysql-community-server (= ${binary:Version}), ${misc:Depends}
Description: MySQL Server meta package depending on latest version
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This is a meta package that depends on the latest mysql server
 package available in the repository.

Package: mysql-community-server
Architecture: any
Pre-depends: debconf (>= 0.2.17), adduser
Depends: mysql-common (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: mysql-community-client (= ${binary:Version})
Conflicts: mysql,
 mysql-server-5.0, mysql-server-core-5.0,
 mysql-server-5.1, mysql-server-core-5.1,
 mysql-server-5.5, mysql-server-core-5.5,
 mysql-server-5.6, mysql-server-core-5.6,
 mysql-enterprise-server
Replaces: mysql,
 mysql-server-5.0, mysql-server-core-5.0,
 mysql-server-5.1, mysql-server-core-5.1,
 mysql-server-5.5, mysql-server-core-5.5,
 mysql-server-5.6, mysql-server-core-5.6,
 mysql-enterprise-server
Provides: virtual-mysql-server, virtual-mysql-server-core,
 mysql-server-5.6, mysql-server-core-5.6
Description: MySQL Server
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package includes the MySQL server binary as well as related
 utilities to run and administer a MySQL server.

Package: mysql-client
Architecture: any
Depends: mysql-community-client (= ${binary:Version}), ${misc:Depends}
Description: MySQL Client meta package depending on latest version
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This is a meta package that depends on the latest mysql client
 package available in the repository.

Package: mysql-community-client
Architecture: any
Depends: mysql-common (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: mysql,
 mysql-client-5.0, mysql-client-core-5.0,
 mysql-client-5.1, mysql-client-core-5.1,
 mysql-client-5.5, mysql-client-core-5.5,
 mysql-client-5.6, mysql-client-core-5.6,
 mysql-enterprise-client
Replaces: mysql,
 mysql-client-5.0, mysql-client-core-5.0,
 mysql-client-5.1, mysql-client-core-5.1,
 mysql-client-5.5, mysql-client-core-5.5,
 mysql-client-5.6, mysql-client-core-5.6,
 mysql-enterprise-client
Provides: virtual-mysql-client, virtual-mysql-client-core,
 mysql-client-5.6, mysql-client-core-5.6
Description: MySQL Client
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the standard MySQL clients and
 administration tools.

Package: libmysqlclient18
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: mysql-common (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: MySQL shared client libraries
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the shared libraries for MySQL client
 applications.

Package: mysql-common
Architecture: any
Pre-depends: debconf (>= 0.2.17), ${misc:Pre-Depends}
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: mysql
Replaces: mysql, mysql-server-5.5, mysql-server-core-5.5, libmysqlclient-dev
Provides: mysql-common
Description: MySQL Common
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains common files needed by MySQL client
 library, MySQL database server, and MySQL embedded server.

Package: libmysqlclient-dev
Architecture: any
Section: libdevel
Depends: libmysqlclient18 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: MySQL development headers
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the development header files necessary
 to develop MySQL client applications.

Package: libmysqld-dev
Architecture: any
Section: libdevel
Depends: libmysqlclient-dev (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: MySQL embedded server library
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the MySQL server as an embedded library.

Package: mysql-testsuite
Architecture: any
Depends: mysql-community-test (= ${binary:Version}), ${misc:Depends}
Description: MySQL Testsuite meta package depending on latest version
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This is a meta package that depends on the latest mysql test
 package available in the repository.

Package: mysql-community-test
Architecture: any
Depends: mysql-community-server (= ${binary:Version}),
 mysql-community-client (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: mysql,
 mysql-testsuite-5.0, mysql-testsuite-5.1, mysql-testsuite-5.5,
 mysql-testsuite-5.6, mysql-enterprise-test
Description: MySQL Test Run MTR - The MySQL testsuite
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the MySQL regression test suite for MySQL
 database server.

Package: mysql-community-bench
Architecture: any
Depends: mysql-community-server (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: mysql, mysql-enterprise-bench
Description: MySQL Bench
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle.

Package: mysql-community-source
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MySQL source
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

%:
	dh $@

override_dh_auto_configure:
	@echo "RULES.$@"
	cmake . \
		-DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_DOCREADMEDIR=share/mysql \
		-DINSTALL_INCLUDEDIR=include/mysql \
		-DINSTALL_INFODIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_MANDIR=share/man \
		-DINSTALL_MYSQLSHAREDIR=share/mysql \
		-DINSTALL_MYSQLTESTDIR=lib/mysql/mysql-test \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DINSTALL_SBINDIR=sbin \
		-DINSTALL_SCRIPTDIR=bin \
		-DINSTALL_SQLBENCHDIR=lib/mysql \
		-DINSTALL_SUPPORTFILESDIR=share/mysql \
		-DMYSQL_DATADIR=/var/lib/mysql \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DWITH_SSL=bundled \
		-DWITH_ZLIB=system \
		-DWITH_EXTRA_CHARSETS=complex \
		-DWITH_ARCHIVE_STORAGE_ENGINE=1 \
		-DWITH_BLACKHOLE_STORAGE_ENGINE=1 \
		-DWITH_EXAMPLE_STORAGE_ENGINE=1 \
		-DWITH_FEDERATED_STORAGE_ENGINE=1 \
		-DWITH_INNOBASE_STORAGE_ENGINE=1 \
		-DWITH_INNODB_MEMCACHED=1 \
		-DCOMPILATION_COMMENT="MySQL Community Server (GPL)" \
		-DINSTALL_LAYOUT=DEB

	cat CMakeCache.txt
	touch $@

override_dh_auto_test:
	@echo "RULES.$@"
	echo "No tests run because test 9: pfs_connect_attr is failing unreasonably"
	touch $@

override_dh_auto_install:

	@echo "RULES.$@"
	# complete install first
	$(MAKE) install DESTDIR=debian/tmp
	# http://bugs.mysql.com/bug.php?id=68517 --- Some test and result files have executable bit set.
	# remove execute bit from file permissions discussed in Bug#68517 and other files
	chmod 0644 debian/tmp/usr/bin/mysqlaccess.conf
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/r/innodb-wl5980-linux.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/r/lowercase_table4.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/include/shutdown_mysqld.inc
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/include/have_QC_Disabled.inc
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_7_myisam.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_3.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_4_myisam.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/r/innodb_bug60196.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/r/innodb_bug14169459.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/r/innodb-wl5980-windows.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/r/named_pipe.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/t/lowercase_table4-master.opt
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/r/innodb-wl5980-debug.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/r/shm.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_4_innodb.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_7_innodb.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_myisam.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/ndb/t/ndb_show_tables_result.inc
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/innodb_bug57904.test
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_5_myisam.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/include/check_ipv4_mapped.inc
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_innodb.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/include/start_mysqld.inc
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_11.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/t/lowercase_table4.test
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/innodb-multiple-tablespaces.test
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_8_myisam.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/r/innodb_bug57904.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_8_innodb.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/portability_wl5980_windows.zip
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/innodb_bug60196.test
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/innodb-wl5980-debug.test
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/innodb-wl5980-windows.test
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/innodb-wl5980-linux.test
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/innodb_bug14169459.test
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_10.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_14.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_myisam_innodb.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_5_innodb.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/innodb-wl5980-alter.test
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/innodb-wl5980-discard.test
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/parts/r/partition_exch_qa_6.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/innodb_bug60196-master.opt
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/sys_vars/r/sort_buffer_size_basic_32.result
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/suite/innodb/t/portability_wl5980_linux.zip
	chmod 0644 debian/tmp/usr/lib/mysql/mysql-test/include/memcache_config.inc
	chmod 0644 debian/tmp/usr/share/mysql/innodb_memcached_config.sql
	chmod 0644 debian/tmp/usr/share/mysql/mysql-log-rotate
	chmod 0644 debian/tmp/usr/lib/mysql/sql-bench/graph-compare-results
	# remove all redundant files and links
	rm debian/tmp/usr/lib/*/*_r*
	rm debian/tmp/usr/lib/mysql/mysql-test/cmake_install.cmake
	rm debian/tmp/usr/lib/mysql/mysql-test/CTestTestfile.cmake
	rm debian/tmp/usr/lib/mysql/mysql-test/Makefile
	# add missing man pages
	install -o root -m 0644 debian/extra/mysql_embedded.1 debian/tmp/usr/share/man/man1
	# add MySQL Server configuration file my.cnf to mysql-common package
	mkdir -p debian/tmp/etc/mysql
	install -o root -m 0644 debian/extra/my.cnf debian/tmp/etc/mysql
	# add MySQL Server debug binary and library to package
	install -o root -m 0755 debian/extra/server-binary debian/tmp/usr/sbin/mysqld-debug
	install -o root -m 0755 debian/extra/embedded-server debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libmysqld-debug.a
	# add directory for legal docs
	mkdir -p debian/tmp/usr/share/doc/mysql-server
	mkdir -p debian/tmp/usr/share/doc/mysql-community-server
	mkdir -p debian/tmp/usr/share/doc/mysql-client
	mkdir -p debian/tmp/usr/share/doc/mysql-community-client
	mkdir -p debian/tmp/usr/share/doc/mysql-common
	mkdir -p debian/tmp/usr/share/doc/libmysqlclient18
	mkdir -p debian/tmp/usr/share/doc/libmysqlclient-dev
	mkdir -p debian/tmp/usr/share/doc/libmysqld-dev
	mkdir -p debian/tmp/usr/share/doc/mysql-community-bench
	mkdir -p debian/tmp/usr/share/doc/mysql-testsuite

## mysql-community 5.6.20

=== debian/changelog ===
mysql-community (5.6.20-1debian7) wheezy; urgency=low

  * new upstream release
  * added fakeroot as build-dep in d/control
  * added d/*.dirs for bench, dev and test pkg
  * updated d/rules to make compilation verbose
  * removed default CFLAGS, CXXFLAGS in d/rules
  * added patch for testsuite search paths under d/patches
  * modified cmake option for testsuite in d/rules
  * updated patch d/fix-mysql_install_db.patch
  * enabled two patches in d/patches/series
  * removed extra permissions check in d/rules when fixed in source
  * modified d/mysql-*-server.postinst to stop removing /usr/my.cnf
  * modified d/*-test.* for updated location of testsuite
  * updated d/{mysql-*-server.install,rules} to include debug plugins
  * updated d/rules to remove storage engine cmake options
  * modified data dir permission in d/*server.{pre,post}inst
  * updated d/source/include-binaries to add debug plugins
  * updated d/rules to rename debug plugins

 -- Akhil Mohan <akhil.mohan@oracle.com>  Wed, 02 Jul 2014 17:45:30 +0530

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

%:
	dh $@

export DH_VERBOSE=1
export CFLAGS=
export CXXFLAGS=

override_dh_auto_configure:
	@echo "RULES.$@"
	cmake . \
        -DWITH_BOOST=/usr/global/share/boost_1_55_0 \
		-DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_DOCREADMEDIR=share/mysql \
		-DINSTALL_INCLUDEDIR=include/mysql \
		-DINSTALL_INFODIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_MANDIR=share/man \
		-DINSTALL_MYSQLSHAREDIR=share/mysql \
		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DINSTALL_SBINDIR=sbin \
		-DINSTALL_SCRIPTDIR=bin \
		-DINSTALL_SQLBENCHDIR=lib/mysql \
		-DINSTALL_SUPPORTFILESDIR=share/mysql \
		-DMYSQL_DATADIR=/var/lib/mysql \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DWITH_SSL=bundled \
		-DWITH_ZLIB=system \
		-DWITH_EXTRA_CHARSETS=complex \
		-DWITH_INNODB_MEMCACHED=1 \
		-DCOMPILATION_COMMENT="MySQL Community Server (GPL)" \
		-DINSTALL_LAYOUT=DEB

	cat CMakeCache.txt
	touch $@

override_dh_auto_build:
	@echo "RULES.$@"
	$(MAKE) -j1 VERBOSE=1
	touch $@

override_dh_auto_test:
	@echo "RULES.$@"
	echo "No tests run because test 9: pfs_connect_attr is failing unreasonably"
	touch $@

override_dh_auto_install:

	@echo "RULES.$@"
	# complete install first
	$(MAKE) install DESTDIR=debian/tmp
	# remove all redundant files and links
	rm debian/tmp/usr/lib/*/*_r*
	rm debian/tmp/usr/lib/mysql-test/cmake_install.cmake
	rm debian/tmp/usr/lib/mysql-test/CTestTestfile.cmake
	rm debian/tmp/usr/lib/mysql-test/Makefile
	# add missing man pages
	install -o root -m 0644 debian/extra/mysql_embedded.1 debian/tmp/usr/share/man/man1
	# add MySQL Server configuration file my.cnf to mysql-common package
	mkdir -p debian/tmp/etc/mysql
	install -o root -m 0644 debian/extra/my.cnf debian/tmp/etc/mysql
	# add MySQL Server debug binary and library to package
	install -o root -m 0755 debian/extra/server-binary debian/tmp/usr/sbin/mysqld-debug
	install -o root -m 0755 debian/extra/embedded-server debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libmysqld-debug.a
	# add debug plugin libraries to package
	mkdir -p debian/tmp/usr/lib/mysql/plugin/debug
	for file in debian/extra/*-plugin; do NEW=`echo $$file | cut -d- -f1`; mv $$file $$NEW.so; done
	install -o root -m 0755 debian/extra/*.so debian/tmp/usr/lib/mysql/plugin/debug
	install -o root -m 0755 debian/extra/daemon_example.ini debian/tmp/usr/lib/mysql/plugin/debug
	# add directory for legal docs
	mkdir -p debian/tmp/usr/share/doc/mysql-server
	mkdir -p debian/tmp/usr/share/doc/mysql-community-server
	mkdir -p debian/tmp/usr/share/doc/mysql-client
	mkdir -p debian/tmp/usr/share/doc/mysql-community-client
	mkdir -p debian/tmp/usr/share/doc/mysql-common
	mkdir -p debian/tmp/usr/share/doc/libmysqlclient18
	mkdir -p debian/tmp/usr/share/doc/libmysqlclient-dev
	mkdir -p debian/tmp/usr/share/doc/libmysqld-dev
	mkdir -p debian/tmp/usr/share/doc/mysql-community-bench
	mkdir -p debian/tmp/usr/share/doc/mysql-testsuite
	mkdir -p debian/tmp/usr/share/doc/mysql-community-test
	mkdir -p debian/tmp/usr/share/doc/mysql-community-source
	# add COPYING file to each package
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-server/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-server/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-client/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-client/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-common/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/libmysqlclient18/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/libmysqlclient-dev/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/libmysqld-dev/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-bench/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-testsuite/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-test/COPYING
	install -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-source/COPYING
	# add README file to each package
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-server/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-server/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-client/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-client/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-common/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/libmysqlclient18/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/libmysqlclient-dev/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/libmysqld-dev/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-bench/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-testsuite/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-test/README
	install -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-source/README
	touch $@

override_dh_installinit:
	@echo "RULES.$@"
	dh_installinit --name=mysql -- defaults 19 21
	touch $@

## mysql-community 5.6.21

=== debian/changelog ===
mysql-community (5.6.21-1debian7) wheezy; urgency=low

  * new upstream release
  * updated d/rules to increment -j8 as make option
  * updated d/source/include-binaries to add mysql_no_login plugin
  * updated CMake option WITH_EXTRA_CHARSETS from complex to all

 -- Akhil Mohan <akhil.mohan@oracle.com>  Wed, 20 Aug 2014 19:12:30 +0530

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
 		-DWITH_SSL=bundled \
 		-DWITH_ZLIB=system \
-		-DWITH_EXTRA_CHARSETS=complex \
+		-DWITH_EXTRA_CHARSETS=all \
 		-DWITH_INNODB_MEMCACHED=1 \
 		-DCOMPILATION_COMMENT="MySQL Community Server (GPL)" \
 		-DINSTALL_LAYOUT=DEB
@@ -56,7 +56,7 @@
 
 override_dh_auto_build:
 	@echo "RULES.$@"
-	$(MAKE) -j1 VERBOSE=1
+	$(MAKE) -j8 VERBOSE=1
 	touch $@
 
 override_dh_auto_test:

## mysql-community 5.6.22

=== debian/changelog ===
mysql-community (5.6.22-2ubuntu14.10) utopic; urgency=low

  * new upstream release
  * mysql-common now replaces mysql-server-{,core-}5.6

 -- Akhil Mohan <akhil.mohan@oracle.com>  Wed, 28 Nov 2014 15:18:07 +0530

mysql-community (5.6.22-1ubuntu14.10) utopic; urgency=low

  * new upstream release
  * fixed d/*server.postinst to allow dropping test db without
    setting root password
  * init script will now run my_i_db if data dir is not present or empty
  * updated init script to read app armor profile on startup
  * forked packaging source from trusty and rebranded for utopic
  * updated d/m-c-source.install to pack *.xz packaging source archive
  * added more system resources to app armor profile
  * dh_apparmor to now run before dh_installinit in d/rules
  * libmysqlclient-dev now replaces mysql-client-{,core-}5.6

 -- Akhil Mohan <akhil.mohan@oracle.com>  Wed, 05 Nov 2014 17:04:07 +0530

mysql-community (5.6.21-1ubuntu14.04) trusty; urgency=low

  * new upstream release
  * updated d/rules to increment -j8 as make option
  * updated d/source/include-binaries to add mysql_no_login plugin
  * updated CMake option WITH_EXTRA_CHARSETS from complex to all

 -- Akhil Mohan <akhil.mohan@oracle.com>  Wed, 20 Aug 2014 19:12:30 +0530

mysql-community (5.6.20-1ubuntu14.04) trusty; urgency=low

  * new upstream release
  * added fakeroot as build-dep in d/control
  * added d/*.dirs for bench, dev and test pkg
  * updated d/rules to make compilation verbose
  * removed default CFLAGS, CXXFLAGS in d/rules
  * added patch for testsuite search paths under d/patches
  * modified cmake option for testsuite in d/rules
  * updated patch d/fix-mysql_install_db.patch
  * enabled two patches in d/patches/series
  * removed extra permissions check in d/rules when fixed in source
  * modified d/mysql-*-server.postinst to stop removing /usr/my.cnf
  * modified d/*-test.* for updated location of testsuite
  * updated d/{mysql-*-server.install,rules} to include debug plugins
  * updated d/rules to remove storage engine cmake options
  * modified data dir permission in d/*server.{pre,post}inst
  * updated d/source/include-binaries to add debug plugins
  * updated d/rules to rename debug plugins

 -- Akhil Mohan <akhil.mohan@oracle.com>  Wed, 02 Jul 2014 17:45:30 +0530

mysql-community (5.6.19-1ubuntu14.04) trusty; urgency=low

  * new upstream release
  * d/rules updated to rid of files removed from source
  * modified path for source tar in source pkg
  * obscured actual filenames in d/source/include-binaries
  * modified d/rules to handle obscured filenames

 -- Akhil Mohan <akhil.mohan@oracle.com>  Mon, 05 May 2014 15:45:10 +0530

mysql-community (5.6.17-1ubuntu14.04) trusty; urgency=low

  * new upstream release

 -- Akhil Mohan <akhil.mohan@oracle.com>  Fri, 28 Feb 2014 18:06:30 +0530

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Maintainer: MySQL Release Engineering <mysql-build@oss.oracle.com>
 Section: database
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.mysql.com/
-Build-Depends: debhelper (>= 8.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake
+Build-Depends: debhelper (>= 8.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, dh-apparmor, lsb-release, cmake, fakeroot
 
 Package: mysql-server
 Architecture: any
@@ -28,13 +28,13 @@
  mysql-server-5.1, mysql-server-core-5.1,
  mysql-server-5.5, mysql-server-core-5.5,
  mysql-server-5.6, mysql-server-core-5.6,
- mysql-enterprise-server
+ mysql-commercial-server
 Replaces: mysql,
  mysql-server-5.0, mysql-server-core-5.0,
  mysql-server-5.1, mysql-server-core-5.1,
  mysql-server-5.5, mysql-server-core-5.5,
  mysql-server-5.6, mysql-server-core-5.6,
- mysql-enterprise-server
+ mysql-commercial-server
 Provides: virtual-mysql-server, virtual-mysql-server-core,
  mysql-server-5.6, mysql-server-core-5.6
 Description: MySQL Server
@@ -65,13 +65,13 @@
  mysql-client-5.1, mysql-client-core-5.1,
  mysql-client-5.5, mysql-client-core-5.5,
  mysql-client-5.6, mysql-client-core-5.6,
- mysql-enterprise-client
+ mysql-commercial-client
 Replaces: mysql,
  mysql-client-5.0, mysql-client-core-5.0,
  mysql-client-5.1, mysql-client-core-5.1,
  mysql-client-5.5, mysql-client-core-5.5,
  mysql-client-5.6, mysql-client-core-5.6,
- mysql-enterprise-client
+ mysql-commercial-client
 Provides: virtual-mysql-client, virtual-mysql-client-core,
  mysql-client-5.6, mysql-client-core-5.6
 Description: MySQL Client
@@ -103,7 +103,8 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: mysql
-Replaces: mysql, mysql-server-5.5, mysql-server-core-5.5, libmysqlclient-dev
+Replaces: mysql, mysql-server-5.5, mysql-server-core-5.5, libmysqlclient-dev,
+ mysql-server-5.6, mysql-server-core-5.6
 Provides: mysql-common
 Description: MySQL Common
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
@@ -118,6 +119,7 @@
 Section: libdevel
 Depends: libmysqlclient18 (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
+Replaces: mysql-client-5.6, mysql-client-core-5.6
 Description: MySQL development headers
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
  and robust SQL (Structured Query Language) database server. MySQL Server
@@ -156,7 +158,7 @@
  ${shlibs:Depends}, ${misc:Depends}
 Conflicts: mysql,
  mysql-testsuite-5.0, mysql-testsuite-5.1, mysql-testsuite-5.5,
- mysql-testsuite-5.6, mysql-enterprise-test
+ mysql-testsuite-5.6, mysql-commercial-test
 Description: MySQL Test Run MTR - The MySQL testsuite
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
  and robust SQL (Structured Query Language) database server. MySQL Server
@@ -169,7 +171,7 @@
 Architecture: any
 Depends: mysql-community-server (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
-Conflicts: mysql, mysql-enterprise-bench
+Conflicts: mysql, mysql-commercial-bench
 Description: MySQL Bench
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
  and robust SQL (Structured Query Language) database server. MySQL Server

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 override_dh_auto_configure:
 	@echo "RULES.$@"
 	cmake . \
-        -DWITH_BOOST=/usr/global/share/boost_1_55_0 \
+        -DWITH_BOOST=/usr/global/share \
 		-DBUILD_CONFIG=mysql_release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DINSTALL_DOCDIR=share/mysql/docs \
@@ -87,6 +87,8 @@
 	for file in debian/extra/*-plugin; do NEW=`echo $$file | cut -d- -f1`; mv $$file $$NEW.so; done
 	install -o root -m 0755 debian/extra/*.so debian/tmp/usr/lib/mysql/plugin/debug
 	install -o root -m 0755 debian/extra/daemon_example.ini debian/tmp/usr/lib/mysql/plugin/debug
+	# add apparmor profile
+	install -D -m 644 debian/extra/apparmor-profile debian/tmp/etc/apparmor.d/usr.sbin.mysqld
 	# add directory for legal docs
 	mkdir -p debian/tmp/usr/share/doc/mysql-server
 	mkdir -p debian/tmp/usr/share/doc/mysql-community-server
@@ -130,5 +132,6 @@
 
 override_dh_installinit:
 	@echo "RULES.$@"
+	dh_apparmor -pmysql-community-server --profile-name=usr.sbin.mysqld
 	dh_installinit --name=mysql -- defaults 19 21
 	touch $@
